package org.aohe.web;

import java.net.UnknownHostException;

public class SocketUtils {
    private static SocketServer server;

    public SocketUtils() throws Exception {
    }

    public static SocketServer get() {
        return server;
    }

    public static void start(int port) {
        try {
            server = new SocketServer(port);
            server.start();
        } catch (UnknownHostException e) {
            throw new RuntimeException(e);
        }
    }

    public static void safeStop() {
        if(server != null){
            try {
                server.stop(1000);
            } catch (InterruptedException e) {
                throw new RuntimeException(e);
            }
        }
    }

}
